Package Details: go-configure-sw-hub 6.32.002-1

Git Clone URL: https://aur.archlinux.org/go-configure-sw-hub.git (read-only, click to copy)
Package Base: go-configure-sw-hub
Description: Renesas/Dialog/Silego Go Configure software hub (greenpak designer)
Upstream URL: https://www.renesas.com/us/en/software-tool/go-configure-software-hub
Licenses: custom
Conflicts: greenpak-designer, greenpak-designer-dev
Replaces: greenpak-designer, greenpak-designer-dev
Submitter: RX14
Maintainer: None
Last Packager: RX14
Votes: 1
Popularity: 0.000018
First Submitted: 2022-10-05 11:03 (UTC)
Last Updated: 2022-10-05 11:03 (UTC)

Latest Comments

teux commented on 2024-06-04 10:57 (UTC) (edited on 2024-06-04 11:53 (UTC) by teux)

As far as I can tell, the latest (v6.42.001) won't run on Arch due to incompatible Qt6 build flags in Qt from the arch repos. Issue is GNU_PROPERTY_1_NEEDED_INDIRECT_EXTERN_ACCESS.

https://renesasweb-greenpak.s3.us-west-2.amazonaws.com/v6.42/go-configure-sw-hub-v6.42.001-debian-12-amd64.deb

$ GP6
warning: direct reference to protected function `_ZN12QApplication6notifyEP7QObjectP6QEvent' in `/usr/bin/../lib/libQt6Widgets.so.6' may break pointer equality
GP6: _ZN12QApplication6notifyEP7QObjectP6QEvent: /usr/bin/../lib/libQt6Widgets.so.6: error due to GNU_PROPERTY_1_NEEDED_INDIRECT_EXTERN_ACCESS